<!DOCTYPE html>
<html>
<head>
	<meta charset="UTF-8">
	<title>HarLESSment Chat Server</title>
</head>
<body>
	<div id="area"></div>
	<input type="text" id="text" placeholder="Insert text here">
	<button id="send">Send</button>

	<script src="https://cdn.socket.io/socket.io-1.4.5.js"></script>
	<script>
		var chat = io('http://team-arma.fr:3000/chat');
		$text = $('#text');
		$area = $('#area');
		$('#send').click(function() {
			if ($text.val().length > 0) {
				chat.emit('message', {text: $text.val()});
				$text.val('');
			}
		});
		chat.on('message', function(data) {
			$li = $('<li>');
			$li.text(data.text);
			$li.prop('title', new Date(data.time*1000).toLocaleTimeString());
			$area.append($li);
		});
	</script>
</body>
</html>